PROGRAM cast_minimain

USE cast_mini

IMPLICIT NONE

CLASS(ExtList_T), POINTER  :: ptr_ext
CLASS(FurList_T), POINTER  :: ptr_fur
CLASS(List_T), POINTER  :: ptr_lst

ptr_fur => Cast_ListFur(ptr_lst)
! ptr_fur => Cast_ExtFur(ptr_lst)
ptr_fur => Cast_ListFur(ptr_ext)
ptr_fur => Cast_ExtFur(ptr_ext)

END PROGRAM cast_minimain
